Bug 90085 - rhnreg_ks does not work through proxy
Summary: rhnreg_ks does not work through proxy
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: up2date   
(Show other bugs)
Version: 2.1
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Fanny Augustin
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-05-02 09:43 UTC by Nick Strugnell
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-20 20:39:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nick Strugnell 2003-05-02 09:43:03 UTC
Description of problem: 
 
rhnreg_ks failes to write /etc/sysconfig/rhn/rhn_register correctly when a 
proxy is specifed. It correctly specifies httpProxy=proxy.blah.com:8080, but 
incorrectly specifies enableProxy=0, so the proxy is never actually used. 
 
Version-Release number of selected component (if applicable): 
 
2.7.61-7.x.2 
 
How reproducible: 
 
always 
 
Steps to Reproduce: 
1. Install a new system 
2. Register using rhnreg_ks --proxy=proxy.foo.com:8080 
--serialnumber=2hl3k4jh5 
 
     
Actual results: 
 
rhnreg_ks times out as it can't contact the RHN servers 
 
Expected results: 
 
Successfull registration after a few seconds 
 
Additional info: 
 
Workaround: explicitly write /etc/sysconfig/rhn/{rhn_register,up2date} in the 
kickstart.


Note You need to log in before you can comment on or make changes to this bug.